GetDeployDeleteOverview
curl --request GET \
--url https://developer.synq.io/api/monitors/automated/v1/deployment-rule/{id}/deleted \
--header 'Authorization: Bearer <token>'{
"overview": {
"monitorsToCreateFor": [
"<string>"
],
"monitorsToDeleteFor": [
"<string>"
],
"activeMonitorsFor": [
"<string>"
],
"monitorSettingsChanges": [
{
"monitoredAssetPath": "<string>",
"originalSettings": {
"metricIds": [],
"metricOptions": [
{}
]
},
"newSettings": {
"metricIds": [],
"metricOptions": [
{}
]
}
}
],
"customMonitorsToCreateFor": [
"<string>"
],
"customMonitorsToDeleteFor": [
"<string>"
],
"activeCustomMonitorsFor": [
"<string>"
],
"customMonitorSettingsChanges": [
{
"monitoredAssetPath": "<string>",
"originalSettings": {
"metricIds": [],
"metricOptions": [
{}
]
},
"newSettings": {
"metricIds": [],
"metricOptions": [
{}
]
},
"resolvedFreshnessField": "<string>"
}
],
"skippedAssets": [
{
"assetPath": "<string>",
"reason": "<string>"
}
]
}
}synq.monitors.automated_monitors.v1.DeploymentRulesService
GetDeployDeleteOverview
GET
/
api
/
monitors
/
automated
/
v1
/
deployment-rule
/
{id}
/
deleted
GetDeployDeleteOverview
curl --request GET \
--url https://developer.synq.io/api/monitors/automated/v1/deployment-rule/{id}/deleted \
--header 'Authorization: Bearer <token>'{
"overview": {
"monitorsToCreateFor": [
"<string>"
],
"monitorsToDeleteFor": [
"<string>"
],
"activeMonitorsFor": [
"<string>"
],
"monitorSettingsChanges": [
{
"monitoredAssetPath": "<string>",
"originalSettings": {
"metricIds": [],
"metricOptions": [
{}
]
},
"newSettings": {
"metricIds": [],
"metricOptions": [
{}
]
}
}
],
"customMonitorsToCreateFor": [
"<string>"
],
"customMonitorsToDeleteFor": [
"<string>"
],
"activeCustomMonitorsFor": [
"<string>"
],
"customMonitorSettingsChanges": [
{
"monitoredAssetPath": "<string>",
"originalSettings": {
"metricIds": [],
"metricOptions": [
{}
]
},
"newSettings": {
"metricIds": [],
"metricOptions": [
{}
]
},
"resolvedFreshnessField": "<string>"
}
],
"skippedAssets": [
{
"assetPath": "<string>",
"reason": "<string>"
}
]
}
}⌘I